Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.chart
Class TickRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.chart.TickRecord

    public final class TickRecord

extends StandardRecord

The Tick record defines how tick marks and label positioning/formatting

Author:
  Andrew C. Oliver(acoliver at apache.org)

Field Summary
`static short` | `sid`

Constructor Summary
`TickRecord()`
`TickRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`byte` | `getBackground()` Get the background field for the Tick record.
`int` | `getLabelColorRgb()` Get the label color rgb field for the Tick record.
`byte` | `getLabelPosition()` Get the label position field for the Tick record.
`byte` | `getMajorTickType()` Get the major tick type field for the Tick record.
`byte` | `getMinorTickType()` Get the minor tick type field for the Tick record.
`short` | `getOptions()` Get the options field for the Tick record.
`short` | `getRotation()` rotate text (0=none, 1=normal, 2=90 degrees counterclockwise, 3=90 degrees clockwise)
`short` | `getSid()` return the non static version of the id for this record.
`short` | `getTickColor()` Get the tick color field for the Tick record.
`int` | `getZero1()` Get the zero 1 field for the Tick record.
`int` | `getZero2()` Get the zero 2 field for the Tick record.
`short` | `getZero3()` Get the zero 3 field for the Tick record.
`boolean` | `isAutorotate()` automatically rotate the text
`boolean` | `isAutoTextBackground()` use the quote unquote automatic color for text background
`boolean` | `isAutoTextColor()` use the quote unquote automatic color for text
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setAutorotate(boolean value)` Sets the autorotate field value.
`void` | `setAutoTextBackground(boolean value)` Sets the auto text background field value.
`void` | `setAutoTextColor(boolean value)` Sets the auto text color field value.
`void` | `setBackground(byte field_4_background)` Set the background field for the Tick record.
`void` | `setLabelColorRgb(int field_5_labelColorRgb)` Set the label color rgb field for the Tick record.
`void` | `setLabelPosition(byte field_3_labelPosition)` Set the label position field for the Tick record.
`void` | `setMajorTickType(byte field_1_majorTickType)` Set the major tick type field for the Tick record.
`void` | `setMinorTickType(byte field_2_minorTickType)` Set the minor tick type field for the Tick record.
`void` | `setOptions(short field_10_options)` Set the options field for the Tick record.
`void` | `setRotation(short value)` Sets the rotation field value.
`void` | `setTickColor(short field_11_tickColor)` Set the tick color field for the Tick record.
`void` | `setZero1(int field_6_zero1)` Set the zero 1 field for the Tick record.
`void` | `setZero2(int field_7_zero2)` Set the zero 2 field for the Tick record.
`void` | `setZero3(short field_12_zero3)` Set the zero 3 field for the Tick record.
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### TickRecord

    public TickRecord()

### TickRecord

    public TickRecord(RecordInputStream in)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getMajorTickType

    public byte getMajorTickType()

  Get the major tick type field for the Tick record.

### setMajorTickType

    public void setMajorTickType(byte field_1_majorTickType)

  Set the major tick type field for the Tick record.

### getMinorTickType

    public byte getMinorTickType()

  Get the minor tick type field for the Tick record.

### setMinorTickType

    public void setMinorTickType(byte field_2_minorTickType)

  Set the minor tick type field for the Tick record.

### getLabelPosition

    public byte getLabelPosition()

  Get the label position field for the Tick record.

### setLabelPosition

    public void setLabelPosition(byte field_3_labelPosition)

  Set the label position field for the Tick record.

### getBackground

    public byte getBackground()

  Get the background field for the Tick record.

### setBackground

    public void setBackground(byte field_4_background)

  Set the background field for the Tick record.

### getLabelColorRgb

    public int getLabelColorRgb()

  Get the label color rgb field for the Tick record.

### setLabelColorRgb

    public void setLabelColorRgb(int field_5_labelColorRgb)

  Set the label color rgb field for the Tick record.

### getZero1

    public int getZero1()

  Get the zero 1 field for the Tick record.

### setZero1

    public void setZero1(int field_6_zero1)

  Set the zero 1 field for the Tick record.

### getZero2

    public int getZero2()

  Get the zero 2 field for the Tick record.

### setZero2

    public void setZero2(int field_7_zero2)

  Set the zero 2 field for the Tick record.

### getOptions

    public short getOptions()

  Get the options field for the Tick record.

### setOptions

    public void setOptions(short field_10_options)

  Set the options field for the Tick record.

### getTickColor

    public short getTickColor()

  Get the tick color field for the Tick record.

### setTickColor

    public void setTickColor(short field_11_tickColor)

  Set the tick color field for the Tick record.

### getZero3

    public short getZero3()

  Get the zero 3 field for the Tick record.

### setZero3

    public void setZero3(short field_12_zero3)

  Set the zero 3 field for the Tick record.

### setAutoTextColor

    public void setAutoTextColor(boolean value)

  Sets the auto text color field value. use the quote unquote automatic color for text

### isAutoTextColor

    public boolean isAutoTextColor()

  use the quote unquote automatic color for text

  Returns:
    the auto text color field value.

### setAutoTextBackground

    public void setAutoTextBackground(boolean value)

  Sets the auto text background field value. use the quote unquote automatic color for text background

### isAutoTextBackground

    public boolean isAutoTextBackground()

  use the quote unquote automatic color for text background

  Returns:
    the auto text background field value.

### setRotation

    public void setRotation(short value)

  Sets the rotation field value. rotate text (0=none, 1=normal, 2=90 degrees counterclockwise, 3=90 degrees clockwise)

### getRotation

    public short getRotation()

  rotate text (0=none, 1=normal, 2=90 degrees counterclockwise, 3=90 degrees clockwise)

  Returns:
    the rotation field value.

### setAutorotate

    public void setAutorotate(boolean value)

  Sets the autorotate field value. automatically rotate the text

### isAutorotate

    public boolean isAutorotate()

  automatically rotate the text

  Returns:
    the autorotate field value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD